Crypto++ 8.4 Free C++ class library of cryptographic schemes

Public Types | List of all members
SAFER_SK Class Reference

SAFER-SK block cipher. More...

Inheritance diagram for SAFER_SK:

## Public Types
typedef BlockCipherFinal< ENCRYPTION, SAFER_Impl< Enc, SAFER_SK_Info, true > > | Encryption
typedef BlockCipherFinal< DECRYPTION, SAFER_Impl< Dec, SAFER_SK_Info, true > > | Decryption
Public Types inherited from BlockCipherDocumentation
typedef BlockCipher | Encryption
| implements the BlockCipher interface
typedef BlockCipher | Decryption
| implements the BlockCipher interface

## Additional Inherited Members
Static Public Member Functions inherited from SAFER_SK_Info
static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength< 16, 8, 16, 8 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function. More...
Static Public Member Functions inherited from VariableRounds< 10, 1, 13 >
static unsigned int | StaticGetDefaultRounds (size_t keylength)
| The default number of rounds for the algorithm based on key length provided by a static function. More...
Static Public Attributes inherited from FixedBlockSize< 8 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from VariableKeyLength< 16, 8, 16, 8 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant. More...
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant. More...
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant. More...
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant. More...
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant. More...
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant. More...
Static Public Attributes inherited from VariableRounds< 10, 1, 13 >
static const int | DEFAULT_ROUNDS
| The default number of rounds for the algorithm provided as a constant.
static const int | MIN_ROUNDS
| The minimum number of rounds for the algorithm provided as a constant.
static const int | MAX_ROUNDS
| The maximum number of rounds for the algorithm provided as a constant.

## Detailed Description

SAFER-SK block cipher.

See also
  SAFER-SK

Definition at line 83 of file safer.h.

The documentation for this class was generated from the following file:

- safer.h